package com.unipi.talepis.protal2023_3_2;

import androidx.appcompat.app.AppCompatActivity;
import androidx.databinding.DataBindingUtil;
import androidx.lifecycle.ViewModel;
import androidx.lifecycle.ViewModelProvider;

import android.os.Bundle;
import android.view.View;

import com.unipi.talepis.protal2023_3_2.databinding.ActivityMainBinding;

public class MainActivity extends AppCompatActivity {
    ActivityMainBinding mainBinding;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        //setContentView(R.layout.activity_main);
        mainBinding = DataBindingUtil.setContentView(this,R.layout.activity_main);
        mainBinding.setLifecycleOwner(this);
        StudentListViewModel studentListViewModel =
                new ViewModelProvider(this).get(StudentListViewModel.class);
        if (studentListViewModel.studentList.isEmpty()){
            Student student = new Student();
            student.getAm().setValue("mpsp22321");
            student.getName().setValue("Dimitris");
            student.getEmail().setValue("dim@unipi.gr");
            mainBinding.setStudent(student);
            studentListViewModel.studentList.add(student);
        }else {
            Student student = studentListViewModel.studentList.get(0);
            mainBinding.setStudent(student);
        }
    }
    public void go(View view){

    }
}